//Source file: InvalidTerminalIdException.java
//Date: March 2007
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V7.0.0

package org.csapi.jr.se.termcap;

/**
 * The request can not be handled because the terminal id specified is not valid.
 *
 */
public class InvalidTerminalIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidTerminalIdException() {
        super(); 
    }

    public InvalidTerminalIdException(String message) {
        super(message); 
    }

    public InvalidTerminalIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidTerminalIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidTerminalIdException

